:userdoc.
:title.PMICS help
:h1 res=5500.abort
:p.
Command : abort
Args    : none

     Sends a request to your opponent to abort the game in progress,
thus discarding it.  If your opponent issued a similar request at most
one move ago, the game ends with no ratings adjustment. 
 If you want
to save the game (in order to continue it later), you should adjourn
it.

If your opponent is out of time, you can use abort, and the game will be
immediately aborted without waiting for the opponent to type "abort".
Aborted games are listed in your history, for examination or mailing.

See also: adjourn, pending
aics% help abuse
Indulging in any of the following is considered cheating or abuse and will
result in deletion of your account, loss of games, or loss of rating points.
(Special circumstances may occur that cause an incident described below to
not be abuse. These cases will be handled at admins' discretion).

1. Disconnecting in a lost position and failing to return to finish the game:
   People doing this are placed on the "abusers" list.  They automatically
   lose any game from which they disconnect.  The above applies to rated
   games only.  This list can be seen with "=abuser" or "help abusers".

2. Refusing to resume an adjourned game when the opponent asks. If you are a
   victim of this, read "help adjudicate".

3. Intentionally losing games to another user so as to inflate the other
   person's rating.  Accepting the wins from the player who is intentionally
   losing is also abuse.

4. Playing the same player repeatedly during your provisional period
   in order to get an artificially high rating.  Try not to play the same
   player more than 4 rated games during your provisional period (first
   20 rated games).  Playing most of your games against provisional players.

5. Having more than one account on ICS without informing the administrators
   about it.

6. Using a computer without telling the administrators and without putting
   a note in your finger: People have the right to know whether they are 
   playing a human or a compute
r.

7. Directing profanity at another user.

Please note that lag-flagging is NOT abuse. Read "help lagflag".

See also: abusers, computers, atmosphere
:h1 res=5501.abusers
:p.
aics% help abusers
AfricanAmerican
BEEFCAKE
bolle
carlitos
Excalibur
hey
Johann
jst
kalyan
KMarx
Lambrusco
NYKNICK
Petrov
SantasJaguar
SCACCHIC
Tension
TNK
tsipen
Wizzard
Zachar
:h1 res=002.accept
:p.
Command : accept
Args    : <player>

      "accept" can be used to start a match against the player who challenged
you using the time controls he proposed.  If you want to ask for different
time controls, use the "match" command.  If more than one player challenges
you, you need to supply the desired player's name as an argument.

See also: match, pending
aics% 
help ACM
The ACM's 24th International Computer Chess Championship
June 25-27, 1994.  

The contenders (in seeding order):
 Deep Thought II  (DT)      Special purpose VLSI
 Cray Blitz       (CRAY)    4 processor Cray C90
 *Socrates        (*SOC)    512 processor CM-5
 M Chess Pro      (MC)      Pentium 60Mhz
 Wchess           (WC)      Pentium 90Mhz
 Zarkov           (ZAR)     HP735 (87 MIPS) ("HP-PRISC")
 Now              (NOW)     i486 50Mhz       
 Spector          (SPEC)    i486DX2 66Mhz 
 Evaluator        (EV)      i486DX4 100Mhz
 Innovation       (IN)      Mac PowerPC

The following ICS players have been created for this tournament.
finger them for more information: CrayBlitz DeepThoughtII Evaluator
Innovation MChess NOW Spector StarSocrates WChess Zarkov

Round 1 results:

white  vs. black      score
---------------------------------
DT   vs. ZAR       1 - 0
NOW  vs. CRAY    1/2 - 1/2  (the only upset in this round)
*SOC vs. SPEC      1 - 0
EV   vs. MC        0 - 1
WC   vs. IN        1 - 0

Round 2 results: (starting at 7pm EST Sat Jun 25 1994)

MC   vs. DT        1 - 0    (An upset! caused by power failure)
CRAY vs. Zarkov    0 - 1    (An upset!)
WC   vs. *SOC      0 - 1    
SPEC vs. NOW     1/2 - 1/2
EV   vs. IN        0 - 1

Round 3 results:

DT   vs. WC        1 - 0
CB   vs. IN        1 - 0
*SOC vs. MC        1 - 0
ZAR  vs. NOW       1 - 0
EVAL vs. SPEC      1 - 0

Round 4 results:

*SOC vs. DT        0 - 1
WC   vs. CB        1 - 0
NOW  vs. EVAL      1 - 0
ZAR help addres
ses
 vs. MC      1/2 - 1/2
SPEC vs. IN        0 - 1

Round 5 pairings:

MC   vs. DT
ZAR  vs. *SOC
CB   vs. SPEC
EV   vs. WC
IN   vs. NOW
aics% The Internet Chess Servers are services that you can telnet to and use to play
chess with many other players around the world, both human and machine.  You
can connect to one of the servers with the command:

        telnet <host machine's address> 5000

Current addresses:
      US-Server:  chess.lm.com 5000               (192.231.221.16 5000)
    Euro-Server:  anemone.daimi.aau.dk 5000       (130.225.18.58 5000)
   Dutch-Server:  dds.hacktic.nl 5000             (193.78.33.69 5000)
  Aussie-Server:  lux.latrobe.edu.au 5000         (131.172.4.3 5000)

  Other backup US-servers (in case of lag or downtime on main server)
     telnet iris4.metiu.ucsb.edu (128.111.246.4) 5000
     telnet coot.lcs.mit.edu (18.52.0.70) 5000
     telnet news.panix.com (198.7.0.1) 5000

  FICS (a different implementation of the ICS)
     telnet chess.pitt.edu (136.142.81.40) 5000

  Ftp server
     ftp ics.onenet.net (164.58.253.10)
     ftp ftp.math.uni-hamburg.de (134.100.220.2) (mirror site)
     Log on as anonymous and give e-mail address as password
     To see a sample ftp session, do: help ftp (on ICS)

  USCF book selections

Up-to-date info:
                finger tange@daimi.aau.dk                    (euro)
                finger wallez@lune.enst-bretagne.fr          (euro)
                finger chess@ics.onenet.net                  (US)


And...  for a change of pace:

     chinese chess:  coolidge.harvard.edu 5555 (128.103.28.15 5555)
     backgammon:  fraggel65.mdstud.chalmers.se 4321 (129.16.235.153)
     othello:  faust.uni-paderborn.de   5000 (131.234.28.29 5000)
     go:  hellspark.wharton.upenn.edu 6969 (165.123.8.103 6969)
     go ftp:  bsdserver.ucsf.edu (128.218.80.68)
:euserdoc.